class WordSubstitution
  attr_reader :good_words

  def initialize(params)
    @good_words = params.fetch("good")
    @bad_words = params.fetch("bad")
  end

  def snarkify!(content)
    @good_words.each do |word|
      content.gsub!(/([^a-zA-Z])#{word}([^a-zA-Z])/im, "\\1#{get_bad_word}\\2")
    end
    content
  end

  private

  def get_bad_word
    @bad_words.sample
  end
end
